#! /bin/bash

WDIR=/usr/local/shellscripts/iptraf
TODAY=$(/bin/date +%s)

## extract mem values from /proc/meminfo

RAM=`grep MemFree /proc/meminfo|tr -s [:blank:]|cut -f2 -d" "`
SWAP=`grep SwapFree /proc/meminfo|tr -s [:blank:]|cut -f2 -d" "`

## write data into the RRD

rrdtool update $WDIR/rrdtool/mailmemory.rrd $TODAY:$RAM:$SWAP

## draw the graph

rrdtool graph /usr/local/httpd/htdocs/protostats/mailmemory.gif \
--start -86400 \
--vertical-label "kBytes free" \
-w 600 -h 200 \
DEF:ram=$WDIR/rrdtool/mailmemory.rrd:ram:AVERAGE \
DEF:swap=$WDIR/rrdtool/mailmemory.rrd:swap:AVERAGE \
AREA:ram#00ff00:"RAM" \
LINE1:swap#0000ff:"Swap"
